<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ota__config" kind="group">
    <compoundname>group_ota_config</compoundname>
    <title>OTA Configurations</title>
      <sectiondef kind="define">
      <memberdef id="group__group__ota__config_1gab585a7541d7bb222fbff7719555f68b0" kind="define" prot="public" static="no">
        <name>CY_OTA_INITIAL_CHECK_SECS</name>
        <initializer>(10)            /* 10 seconds */</initializer>
        <briefdescription>
<para>Initial time for checking for OTA updates. </para>        </briefdescription>
        <detaileddescription>
<para>This is used to start the timer for the initial OTA update check after calling <ref kindref="member" refid="group__group__ota__functions_1ga84d744546862b858ddc65334be5b63c3">cy_ota_agent_start()</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="32" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="32" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga9c17fd8b3a98ec9f3f21ba475418227a" kind="define" prot="public" static="no">
        <name>CY_OTA_NEXT_CHECK_INTERVAL_SECS</name>
        <initializer>(24 * 60 * 60)  /* 1 day between checks */</initializer>
        <briefdescription>
<para>Next time for checking for OTA updates. </para>        </briefdescription>
        <detaileddescription>
<para>This is used to re-start the timer after an OTA update check in the OTA Agent. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="39" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="39" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga5f7048d0e07022decfaa5cd9afcfa2d1" kind="define" prot="public" static="no">
        <name>CY_OTA_RETRY_INTERVAL_SECS</name>
        <initializer>(5)             /* 5 seconds between retries after an error */</initializer>
        <briefdescription>
<para>Retry time which checking for OTA updates. </para>        </briefdescription>
        <detaileddescription>
<para>This is used to re-start the timer after failing to contact the server during an OTA update check. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="46" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="46" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga857fb18dbbc8e462f9eefa30d57afefb" kind="define" prot="public" static="no">
        <name>CY_OTA_CHECK_TIME_SECS</name>
        <initializer>(10 * 60)       /* 10 minutes */</initializer>
        <briefdescription>
<para>Length of time to check for downloads. </para>        </briefdescription>
        <detaileddescription>
<para>OTA Agent wakes up, connects to server, and waits this much time before disconnecting. This allows the OTA Agent to be inactive for long periods of time, only checking for short periods. Use 0x00 to continue checking once started. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="55" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="55" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga28238863ca54b663f9faea4823253a42" kind="define" prot="public" static="no">
        <name>CY_OTA_PACKET_INTERVAL_SECS</name>
        <initializer>(0)             /* default disabled */</initializer>
        <briefdescription>
<para>Expected maximum download time between each OTA packet arrival. </para>        </briefdescription>
        <detaileddescription>
<para>This is used check that the download occurs in a reasonable time frame. Set to 0 to disable this check. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="63" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="63" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga5ac589095a8184084fc8ee3cf86f6d3f" kind="define" prot="public" static="no">
        <name>CY_OTA_JOB_CHECK_TIME_SECS</name>
        <initializer>(30)               /* 30 seconds */</initializer>
        <briefdescription>
<para>Length of time to check for getting Job Document. </para>        </briefdescription>
        <detaileddescription>
<para>OTA Agent wakes up, connects to broker/server, and waits this much time before disconnecting. This allows the OTA Agent to be inactive for long periods of time, only checking for short periods. Use 0x00 to continue checking once started. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="72" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="72" />
      </memberdef>
      <memberdef id="group__group__ota__config_1gac601cbb956da2706d87a25219fd38b3d" kind="define" prot="public" static="no">
        <name>CY_OTA_DATA_CHECK_TIME_SECS</name>
        <initializer>(5 * 60)           /* 5 minutes */</initializer>
        <briefdescription>
<para>Length of time to check for getting OTA Image data. </para>        </briefdescription>
        <detaileddescription>
<para>After getting the Job (or during a Direct download), this is the amount of time we wait before deciding we are not going to get the download. Use 0x00 to disable. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="81" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="81" />
      </memberdef>
      <memberdef id="group__group__ota__config_1gad937d8f959bccec87b87f11a9315ae3a" kind="define" prot="public" static="no">
        <name>CY_OTA_RETRIES</name>
        <initializer>(3)             /* retry entire process 3 times */</initializer>
        <briefdescription>
<para>Number of OTA session retries. </para>        </briefdescription>
        <detaileddescription>
<para>Retry count for overall OTA session attempts </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="87" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="87" />
      </memberdef>
      <memberdef id="group__group__ota__config_1gaf05c3cff9a4bcdf5d63e5f5d0962f25a" kind="define" prot="public" static="no">
        <name>CY_OTA_CONNECT_RETRIES</name>
        <initializer>(3)             /* 3 server connect retries  */</initializer>
        <briefdescription>
<para>Number of retries when attempting to contact the server. </para>        </briefdescription>
        <detaileddescription>
<para>This is used to determine # retries when connecting to the server during an OTA update check. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="94" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="94" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga63713f2122581c2bee97ebd3dbf1815c" kind="define" prot="public" static="no">
        <name>CY_OTA_MAX_DOWNLOAD_TRIES</name>
        <initializer>(3)             /* 3 download OTA Image retries */</initializer>
        <briefdescription>
<para>Number of OTA download retries. </para>        </briefdescription>
        <detaileddescription>
<para>Retry count for attempts at downloading the OTA Image </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="101" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="101" />
      </memberdef>
      <memberdef id="group__group__ota__config_1gaaa47c22f94edbcb24052a7551f6a2f36" kind="define" prot="public" static="no">
        <name>PUBLISHER_LISTEN_TOPIC</name>
        <initializer>"publish_notify"</initializer>
        <briefdescription>
<para>Last part of the topic to subscribe. </para>        </briefdescription>
        <detaileddescription>
<para>Topic for Device to send message to Publisher: "COMPANY_TOPIC_PREPEND / BOARD_NAME / PUBLISHER_LISTEN_TOPIC" The combined topic needs to match the Publisher's subscribe topic</para><para>Override in cy_ota_config.h </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="116" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="116" />
      </memberdef>
      <memberdef id="group__group__ota__config_1gab3832b31bfefc10020675d714665cd0d" kind="define" prot="public" static="no">
        <name>COMPANY_TOPIC_PREPEND</name>
        <initializer>"anycloud"</initializer>
        <briefdescription>
<para>First part of the topic to subscribe / publish. </para>        </briefdescription>
        <detaileddescription>
<para>Topic for Device to send message to Publisher: "COMPANY_TOPIC_PREPEND / BOARD_NAME / PUBLISHER_LISTEN_TOPIC" </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="124" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="124" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga1a071cfd0e7d56ca360196cdc8af9356" kind="define" prot="public" static="no">
        <name>PUBLISHER_DIRECT_TOPIC</name>
        <initializer>"OTAImage"</initializer>
        <briefdescription>
<para>End of Topic to send message to Publisher for Direct download. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="129" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="129" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga6a15cee55ef70fdacd2575f7742a1fa9" kind="define" prot="public" static="no">
        <name>CY_OTA_RESULT_SUCCESS</name>
        <initializer>"Success"</initializer>
        <briefdescription>
<para>Update Successful message. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create RESULT message to Broker / Server </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="136" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="136" />
      </memberdef>
      <memberdef id="group__group__ota__config_1gaeafc16eeca288eb87fe3183343c9ec0d" kind="define" prot="public" static="no">
        <name>CY_OTA_RESULT_FAILURE</name>
        <initializer>"Failure"</initializer>
        <briefdescription>
<para>Update Failure message. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create RESULT message to Broker / Server </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="143" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="143" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga0e99cf1a339baebf4f71fe536b2967ea" kind="define" prot="public" static="no">
        <name>CY_OTA_SUBSCRIBE_UPDATES_AVAIL</name>
        <initializer>"{\\"Message\":\"Update Availability\", \\"Manufacturer\": \"Express Widgits Corporation\", \\"ManufacturerID\": \"EWCO\", \\"ProductID\": \"Easy Widgit\", \\"SerialNumber\": \"ABC213450001\", \\"BoardName\": \"CY8CPROTO_062_4343W\", \\"Version\": \"%d.%d.%d\", \\"UniqueTopicName\": \"%s\"\}"</initializer>
        <briefdescription>
<para>Device message to Publisher to ask about updates Used with sprintf() to insert the current version and UniqueTopicName at runtime. </para>        </briefdescription>
        <detaileddescription>
<para>Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="150" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="159" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga66bd4606bfc0f6e85c2172603f9c62a0" kind="define" prot="public" static="no">
        <name>CY_OTA_DOWNLOAD_REQUEST</name>
        <initializer>"{\\"Message\":\"Request Update\", \\"Manufacturer\": \"Express Widgits Corporation\", \\"ManufacturerID\": \"EWCO\", \\"ProductID\": \"Easy Widgit\", \\"SerialNumber\": \"ABC213450001\", \\"BoardName\": \"CY8CPROTO_062_4343W\", \\"Version\": \"%d.%d.%d\", \\"UniqueTopicName\": \"%s\"\}"</initializer>
        <briefdescription>
<para>Device message to Publisher to ask for a download<itemizedlist>
<listitem><para>Used with sprintf() to insert the current version and UniqueTopicName at runtime. </para></listitem></itemizedlist>
</para>        </briefdescription>
        <detaileddescription>
<para>Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="168" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="177" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga2d88b9b738dc724e8fb29883e04dcc23" kind="define" prot="public" static="no">
        <name>CY_OTA_DOWNLOAD_DIRECT_REQUEST</name>
        <initializer>"{\\"Message\":\"Send Direct Update\", \\"Manufacturer\": \"Express Widgits Corporation\", \\"ManufacturerID\": \"EWCO\", \\"ProductID\": \"Easy Widgit\", \\"SerialNumber\": \"ABC213450001\", \\"BoardName\": \"CY8CPROTO_062_4343W\", \\"Version\": \"%d.%d.%d\" \}"</initializer>
        <briefdescription>
<para>Device message to Publisher to ask for a download<itemizedlist>
<listitem><para>Used with sprintf() to insert the current version and UniqueTopicName at runtime. </para></listitem></itemizedlist>
</para>        </briefdescription>
        <detaileddescription>
<para>Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="186" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="194" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga1eace95e0ec47d50df1e2810f4751173" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_RESULT_JSON</name>
        <initializer>"{\\"Message\":\"%s\", \\"UniqueTopicName\": \"%s\"\}"</initializer>
        <briefdescription>
<para>Device JSON doc to respond to MQTT Publisher. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create the JSON message Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="203" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="206" />
      </memberdef>
      <memberdef id="group__group__ota__config_1gaa642af38818fce01f3a9c6960bc6d64d" kind="define" prot="public" static="no">
        <name>CY_OTA_HTTP_RESULT_JSON</name>
        <initializer>"{\\"Message\":\"%s\", \\"File\":\"%s\" \}"</initializer>
        <briefdescription>
<para>Device JSON doc to respond to HTTP Server. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create the JSON message Override if desired by defining in cy_ota_config.h. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="215" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="218" />
      </memberdef>
      <memberdef id="group__group__ota__config_1gabdddb494aa853699bec01c254bd307dd" kind="define" prot="public" static="no">
        <name>CY_OTA_HTTP_GET_TEMPLATE</name>
        <initializer>"GET %s HTTP/1.1\r\n" \
    "Host: %s:%d \r\n" \
    "\r\n"</initializer>
        <briefdescription>
<para>HTTP GET template. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create the GET request for HTTP server </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="227" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="227" />
      </memberdef>
      <memberdef id="group__group__ota__config_1gac14bf9939b2bd5d0b62817a87b4b30fa" kind="define" prot="public" static="no">
        <name>CY_OTA_HTTP_POST_TEMPLATE</name>
        <initializer>"POST %s HTTP/1.1\r\n" \
    "Content-Length:%ld \r\n" \
    "\r\n%s"</initializer>
        <briefdescription>
<para>HTTP POST template. </para>        </briefdescription>
        <detaileddescription>
<para>Used with sprintf() to create the POST message for HTTP server </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="239" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="239" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga448aa081432d624219ebedc2f28f5841" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_KEEP_ALIVE_SECONDS</name>
        <initializer>(60)                /* 60 second keep-alive */</initializer>
        <briefdescription>
<para>The keep-alive interval for MQTT. </para>        </briefdescription>
        <detaileddescription>
<para>Maximum number of MQTT Topics</para><para>An MQTT ping request will be sent periodically at this interval. The maximum number of Topics for subscribing. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="256" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="256" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga3b4d0aa969fb1ec3adefbaec643f78d2" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_MAX_TOPICS</name>
        <initializer>(2)</initializer>
        <briefdescription>
<para>Maximum number of MQTT Topics. </para>        </briefdescription>
        <detaileddescription>
<para>The maximum number of Topics for subscribing. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="263" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="263" />
      </memberdef>
      <memberdef id="group__group__ota__config_1gaacf195683127ce1df77b07cf017990a4" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_TOPIC_PREFIX</name>
        <initializer>"cy_ota_device"</initializer>
        <briefdescription>
<para>TOPIC prefix. </para>        </briefdescription>
        <detaileddescription>
<para>Used as prefix for "Will" and "Acknowledgement" Messages </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="270" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="270" />
      </memberdef>
      <memberdef id="group__group__ota__config_1ga44b8c2bc6f4bb63c80b2939969cdb2ff" kind="define" prot="public" static="no">
        <name>CY_OTA_MQTT_CLIENT_ID_PREFIX</name>
        <initializer>"cy_device"</initializer>
        <briefdescription>
<para>The first characters in the client identifier. </para>        </briefdescription>
        <detaileddescription>
<para>A timestamp is appended to this prefix to create a unique client identifer for each connection. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" bodystart="278" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/configs/cy_ota_config.h" line="278" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Customer overrides for the OTA library. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>